%define svnver 3827

Summary:	Simple program for detecting Super I/O on your mainboard
Name:		superiotool
Version:	0
Release:	0.16.20090202svn%{svnver}%{?dist}
License:	GPLv2+
Group:		Applications/System
# svn -r %{svnver} export svn://coreboot.org/repos/trunk/util/superiotool superiotool
# tar -cjvf superiotool-%{svnver}.tar.bz2 superiotool
Source0:	superiotool-%{svnver}.tar.bz2
Patch0:		superiotool-Makefile_cleanup.diff
URL:		http://linuxbios.org/index.php/Superiotool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Lacks of <sys/io.h>
ExcludeArch:	ppc ppc64 sparc sparcv8 sparcv9 sparcv9v sparc64 sparc64v

%description
User-space helper tool which allows you to detect which Super I/O you have
on your mainboard, and it can provide detailed information about the register
contents of the Super I/O.

%prep
%setup -q -n %{name}
%patch0 -b .Makefile_cleanup

%build
CFLAGS="%{optflags} -D'SUPERIOTOOL_VERSION=\"%{svnver}\"'" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.16.20090202svn3827
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb  2 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.15.20090202svn3827
- Added register map based on NSC PC87392 datasheet.
- Add detection support for ITE IT8228E, IT8711F, IT8722F, IT8761E,
  IT8780F, and Fintek F71863FG.

* Mon Nov  3 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.14.20081103svn3698
- Support for the ITE IT8661F/IT8770F, IT8673F, and IT8671F/IT8687R
- Add register definitions for W83627HF
- Drop global register 0x07 for all Super I/Os
- Add dump support to ITE IT8726F
- Add Fintek F71882FG support
- Add some more Super I/O IDs/names

* Mon Oct  6 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.13.20080815svn3511
- More ExcludeArch

* Fri Aug 15 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.12.20080815svn3511
- Fixed svn path (LinuxBIOS renamed to Coreboot)
- svn ver. 3511
- add support for SMSC SIO10N268 (trivial)
- add support for 2 new SMSC superio chips
- Add dump support for Winbond (NSC) PC87427

* Sun May 18 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.11.20080518svn3319
- Fixed installation

* Sun May 18 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.10.20080518svn3319
- Add support for dumping ITE IT8718F EC registers
- Detect SMSC SCH5027
- Small cleanups

* Sun Feb 10 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.9.20080210svn3064
- svn ver. 3064
- Added more Winbond W83627EHF chips

* Thu Jan 10 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.8.20080110svn3011
- svn ver. 3011
- support for NSC PC87317
- support for SMSC LPC47M192
- support for NSC PC97317
- support for NSC PC97307
- support for NSC PC8741x
- support for NSC PC87309
- support for SMSC FDC37C67x
- support for the PC87366
- support for the SMSC LPC47B27x

* Mon Nov 19 2007 Peter Lemenkov <lemenkov@gmail.com> 0.7.20071118svn2975
- Fixed man-page installation

* Sun Nov 18 2007 Peter Lemenkov <lemenkov@gmail.com> 0.6.20071118svn2975
- svn ver. 2975 (support for SMSC LPC47N227, NSC PC8374L, Winbond W83977TF,
  Winbond W83977AF, Winbond W83697SF, NSC PC87360, SMSC FDC37N958FR)
- drop patch1

* Fri Oct 12 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.5.20071012svn2849
- svn ver 2849 (support for SMSC FDC37M81x, SMSC FDC37B78x, SMSC FDC37B72x,
  Winbond W83627THF/THG, NSC PC87351 and some more SMSC, ITE and NSC chips
- added manpage

* Sat Oct  6 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.4.20071006svn2828
- svn ver. 2828 (added support for Winbond W83627HF/F/HG/G, SMSC LPC47M10x,
  ITE IT8661F, SMSC LPC47B387, ITE IT8705F/AF etc)

* Thu Oct  4 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.3.20071004svn2819
- svn ver. 2819 (added COPYING)

* Wed Oct  3 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.2.20071003svn2818
- Preserved timestamp then installing superiotool
- Native commands instead of macros (rm, install, mkdir, make)
- svn ver. 2818 (slightly changed output of version banner).

* Tue Oct  2 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.1.20071002svn2816
- Initial build for Fedora
